import React, {useEffect, useState} from 'react';
import { BrowserRouter as Router, Routes, Route } from 'react-router-dom';
import Register from './pages/Register';
import Login from './pages/Login';
import Profile from './pages/Profile';
import Navbar from './components/Navbar'; // Navbar importieren
import './App.css';
import Home from "./pages/Home";

function App() {
    const [user, setUser] = useState(null);

    useEffect(() => {
        setUser(JSON.parse(sessionStorage.getItem("user")))
    }, [])

    return (
        <Router>
            <div className="App">
                <header className="App-header">
                    <h2>Learnlink</h2>
                    <Navbar user={user} />
                </header>
                <Routes>
                    <Route path="/register" element={<Register />} />
                    <Route path="/login" element={<Login setUser={setUser} />} />
                    <Route path="/profile" element={<Profile setUser={setUser} />} />
                    <Route path="/" element={<Home />} />
                </Routes>
            </div>
        </Router>
    );
}

export default App;
