// src/components/Navbar.js
import React from 'react';
import '../css/navbar.css';
import {Link, useNavigate} from 'react-router-dom';

const Navbar = ({ user }) => {
    return (
        <nav className="navbar">
            <ul>
                {user ? (
                    <>
                        <span><Link to="/">Home</Link></span>&nbsp;&nbsp;
                        <span><Link to="/profile">Profile</Link></span>
                    </>
                ) : (
                    <>
                        <span><Link to="/login">Login</Link></span>&nbsp;&nbsp;
                        <span><Link to="/register">Register</Link></span>
                    </>
                )}
            </ul>
        </nav>
    );
};

export default Navbar;
