import React, { useState } from 'react';
import { getEverything, getUser } from '../lib/db';
import {useNavigate} from "react-router-dom";  // Hier importieren wir die getUser Funktion

export default function Login({ setUser }) {
    const [name, setName] = useState('');
    const navigate = useNavigate()

    const handleSubmit = async (e) => {
        e.preventDefault();
        const data = await getUser(name);
        if (data.records.length === 0) {
            alert('Benutzer nicht gefunden');
        } else {
            const user = data.records[0].get('u').properties
            sessionStorage.setItem("user", JSON.stringify(user));
            setUser(user);
            navigate('/');
        }
    };

    return (
        <div className="Login">
            <h2>Login</h2>
            <form onSubmit={handleSubmit}>
                <label>Name:</label>
                <input
                    type="text"
                    value={name}
                    onChange={(e) => setName(e.target.value)}
                />
                <button type="submit">Login</button>
            </form>
        </div>
    );
}
