import React, { useState } from 'react';
import { createUser } from '../lib/db';
import {useNavigate} from "react-router-dom";  // Hier importieren wir die createUser Funktion

export default function Register() {
    const [name, setName] = useState('');
    const [email, setEmail] = useState('');
    const [location, setLocation] = useState('');
    const navigate = useNavigate();

    const handleSubmit = async (e) => {
        try {
            e.preventDefault();
            await createUser(Date.now().toString(), name, email, location);  // Benutzer in die DB einfügen
            navigate('/login');
        } catch (err) {
            alert(err);
        }
    };

    return (
        <div className="Register">
            <h2>Registrierung</h2>
            <form onSubmit={handleSubmit}>
                <label>Name:</label>
                <input
                    type="text"
                    value={name}
                    onChange={(e) => setName(e.target.value)}
                />
                <label>Email:</label>
                <input
                    type="email"
                    value={email}
                    onChange={(e) => setEmail(e.target.value)}
                />
                <label>Standort:</label>
                <input
                    type="text"
                    value={location}
                    onChange={(e) => setLocation(e.target.value)}
                />
                <button type="submit">Registrieren</button>
            </form>
        </div>
    );
}
